Skip to main content
POST
/
v1
/
condition_sets
/
{condition_set_id}
/
condition_set_items
Create Condition Set Items
curl --request POST \
  --url https://api.privy.io/v1/condition_sets/{condition_set_id}/condition_set_items \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'privy-app-id: <privy-app-id>' \
  --data '
[
  {
    "value": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
  },
  {
    "value": "0xB00F0759DbeeF5E543Cc3E3B07A6442F5f3928a2"
  },
  {
    "value": "0x5B8b13e8f3E6Ec888e88C77cf039EB6281F21D93"
  }
]
'
[
  {
    "id": "abc123xyz456def789ghi012",
    "condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
    "value": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "created_at": 1761271537642
  },
  {
    "id": "def456ghi789jkl012mno345",
    "condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
    "value": "0xB00F0759DbeeF5E543Cc3E3B07A6442F5f3928a2",
    "created_at": 1761271537643
  },
  {
    "id": "pqr678stu901vwx234yza567",
    "condition_set_id": "qvah5m2hmp9abqlxdmfiht95",
    "value": "0x5B8b13e8f3E6Ec888e88C77cf039EB6281F21D93",
    "created_at": 1761271537644
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

privy-authorization-signature
string

Request authorization signature. If multiple signatures are required, they should be comma separated.

privy-request-expiry
string

Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the request must be processed.

Path Parameters

condition_set_id
string
required
Required string length: 24

Body

application/json
Required array length: 1 - 100 elements
value
string
required
Minimum string length: 1

Response

200 - application/json

Array of created condition set items.

id
string
required

Unique ID of the created condition set item.

Required string length: 24
condition_set_id
string
required

Unique ID of the condition set this item belongs to.

Required string length: 24
value
string
required

The value stored in this condition set item.

created_at
number
required

Unix timestamp of when the condition set item was created in milliseconds.